summaryrefslogtreecommitdiffstats
path: root/make_slackware_live.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make_slackware_live.sh')
-rwxr-xr-xmake_slackware_live.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/make_slackware_live.sh b/make_slackware_live.sh
index 8d9f726..7b9ce67 100755
--- a/make_slackware_live.sh
+++ b/make_slackware_live.sh
@@ -1208,6 +1208,13 @@ pcm.softvol {
max_dB 32.0
}
EOAL
+else
+ if ! grep -q sysdefault ${LIVE_ROOTDIR}/etc/asound.conf ; then
+ # If pulse is used, configure a fallback to use the system default
+ # or else there will not be sound on first boot:
+ sed -i ${LIVE_ROOTDIR}/etc/asound.conf \
+ -e '/type pulse/ a \ \ fallback "sysdefault"'
+ fi
fi
# Skip all filesystem checks at boot: